<?php
@session_start();

include_once( "f_admin.php" );
include_once( "f_wfl.php" );
include_once( "kd_einsprungspunkte.php" );





///////////////////////////////
// Darf der Benutzer diese Seite sehen?

$exec = besitzt_benutzer_systemrecht( $_SESSION[ "mandant_name" ], $_SESSION[ "benutzer_anmeldename" ], "ADMINISTRATOR" );


if ( $exec[ 0 ] != 1 )
{
	header( "Location: us_uebersicht.php" );
}

///////////////////////////////





$_SESSION[ "title" ] = "Administratorbereich Gruppen/Systemrechtzuordnung";
include( 'ssi_header.php' );



$_SESSION[ "title" ] = "";
include( "ad_menu.php" );

echo "<div style='margin-left:200px; padding-bottom:30px;  min-height:550px;'>";


echo "<form name='systemrechte' action=''>";
echo '<table border="0"><tr><td style="padding-left:20px;">Gruppe</td><td style="padding-left:40px;">Systemrecht zugewiesen</td><td></td><td style="padding-left:20px;">Systemrecht nicht zugewiesen</td></tr>
<tr><td><select id="select_style_1" size="20" name="select_style_1"   onchange="fuelle_element( \'ergebnis_1\', \'\' ); ajaxFunction( \'su_web.php?cmd=gruppe_systemrecht_in&gruppen_name=\'+this.value, \'div_select_2\' ); ajaxFunction( \'su_web.php?cmd=gruppe_systemrecht_out&gruppen_name=\'+this.value, \'div_select_3\' );  "  >';


$ergebnis_2 = liefere_alle_gruppen( $mandant_name, true );

if ( $ergebnis_2[ 0 ] > 0 )
{
	foreach ( $ergebnis_2[ 2 ] as $gruppe )
	{
		echo "<option value='".$gruppe."'>".$gruppe."</option>";
	}
}


echo'</select></td>

<td style="padding-left:20px;" ><div id="div_select_2" ><select id="select_style_2" size="20" name="select_style_2"  ><div id="div_select_2" /></select></div></td>

<td style="padding-left:10px;" 	>

<input type="button" value="=>" onclick="gruppe_ein_systemrecht_entziehen( document.systemrechte.select_style_1.value, document.systemrechte.select_style_2.value, \'ergebnis_1\', \'div_select_2\', \'div_select_3\' );"  />

<br />
<br />

<input type="button" value="<=" onclick="gruppe_ein_systemrecht_zuweisen( document.systemrechte.select_style_1.value, document.systemrechte.select_style_3.value, \'ergebnis_1\', \'div_select_2\', \'div_select_3\' );" /></td>

<td><div id="div_select_3" ><select id="select_style_3" size="20" name="select_style_3"  ></select></div></td>
</tr></table>

</form>

';

echo '<div name="ergebnis_1" id="ergebnis_1" style=" margin-top:10px;" >'.$_SESSION[ "meldung_ad" ].'</div>';
	$_SESSION[ "meldung_ad" ] = "";



echo "</div>";

include( 'ssi_footer.php' );

?>